Vendor Credits
Create one or more Vendor Credits (max 100)
Scopes: vendor_credit:create
POST
/
v0
/
business
/
{business_id}
/
vendor-credit
Create one or more Vendor Credits (max 100)
curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"vendor_id": "ven_ApaM9xeQtNyVk5qpaHJbNj",
"number": "VC-001",
"amount": 100,
"currency": "USD",
"memo": "<string>",
"issued_at": "2026-01-15T00:00:00Z"
}
]
'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit"
payload = [
{
"vendor_id": "ven_ApaM9xeQtNyVk5qpaHJbNj",
"number": "VC-001",
"amount": 100,
"currency": "USD",
"memo": "<string>",
"issued_at": "2026-01-15T00:00:00Z"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
vendor_id: 'ven_ApaM9xeQtNyVk5qpaHJbNj',
number: 'VC-001',
amount: 100,
currency: 'USD',
memo: '<string>',
issued_at: '2026-01-15T00:00:00Z'
}
])
};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'vendor_id' => 'ven_ApaM9xeQtNyVk5qpaHJbNj',
'number' => 'VC-001',
'amount' => 100,
'currency' => 'USD',
'memo' => '<string>',
'issued_at' => '2026-01-15T00:00:00Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit"
payload := strings.NewReader("[\n {\n \"vendor_id\": \"ven_ApaM9xeQtNyVk5qpaHJbNj\",\n \"number\": \"VC-001\",\n \"amount\": 100,\n \"currency\": \"USD\",\n \"memo\": \"<string>\",\n \"issued_at\": \"2026-01-15T00:00:00Z\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"vendor_id\": \"ven_ApaM9xeQtNyVk5qpaHJbNj\",\n \"number\": \"VC-001\",\n \"amount\": 100,\n \"currency\": \"USD\",\n \"memo\": \"<string>\",\n \"issued_at\": \"2026-01-15T00:00:00Z\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"vendor_id\": \"ven_ApaM9xeQtNyVk5qpaHJbNj\",\n \"number\": \"VC-001\",\n \"amount\": 100,\n \"currency\": \"USD\",\n \"memo\": \"<string>\",\n \"issued_at\": \"2026-01-15T00:00:00Z\"\n }\n]"
response = http.request(request)
puts response.read_body{
"data": [
{
"business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",
"vendor_id": "ven_ApaM9xeQtNyVk5qpaHJbNj",
"number": "VC-001",
"amount": 100,
"issued_at": "2023-11-07T05:31:56Z",
"journal_entry_id": "je_R2fAXCjqJPdpYata112zyW",
"id": "vc_WQMDNUHpBThYSNh4AprDBo",
"voided": true,
"memo": "<string>",
"voided_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
]
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Optional external entity identifier that performed the action
Path Parameters
The id of the business
Example:
"biz_GA6EG2qFxA97NZHtxeLPUy"
Body
application/json
Maximum array length:
100The ID of the Vendor issuing the credit
Example:
"ven_ApaM9xeQtNyVk5qpaHJbNj"
The number of the vendor credit. Must be unique per business.
Maximum string length:
255Example:
"VC-001"
The amount of the vendor credit. Must be greater than zero.
Required range:
x > 0Example:
100
ISO 4217 currency code for this vendor credit.
Maximum string length:
3Example:
"USD"
Description of the vendor credit
Maximum string length:
255The date and time the vendor credit was issued. Defaults to now.
Example:
"2026-01-15T00:00:00Z"
Response
Successful Response
Show child attributes
Show child attributes
⌘I
Create one or more Vendor Credits (max 100)
curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"vendor_id": "ven_ApaM9xeQtNyVk5qpaHJbNj",
"number": "VC-001",
"amount": 100,
"currency": "USD",
"memo": "<string>",
"issued_at": "2026-01-15T00:00:00Z"
}
]
'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit"
payload = [
{
"vendor_id": "ven_ApaM9xeQtNyVk5qpaHJbNj",
"number": "VC-001",
"amount": 100,
"currency": "USD",
"memo": "<string>",
"issued_at": "2026-01-15T00:00:00Z"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
vendor_id: 'ven_ApaM9xeQtNyVk5qpaHJbNj',
number: 'VC-001',
amount: 100,
currency: 'USD',
memo: '<string>',
issued_at: '2026-01-15T00:00:00Z'
}
])
};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'vendor_id' => 'ven_ApaM9xeQtNyVk5qpaHJbNj',
'number' => 'VC-001',
'amount' => 100,
'currency' => 'USD',
'memo' => '<string>',
'issued_at' => '2026-01-15T00:00:00Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit"
payload := strings.NewReader("[\n {\n \"vendor_id\": \"ven_ApaM9xeQtNyVk5qpaHJbNj\",\n \"number\": \"VC-001\",\n \"amount\": 100,\n \"currency\": \"USD\",\n \"memo\": \"<string>\",\n \"issued_at\": \"2026-01-15T00:00:00Z\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"vendor_id\": \"ven_ApaM9xeQtNyVk5qpaHJbNj\",\n \"number\": \"VC-001\",\n \"amount\": 100,\n \"currency\": \"USD\",\n \"memo\": \"<string>\",\n \"issued_at\": \"2026-01-15T00:00:00Z\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.getasset.com/v0/business/{business_id}/vendor-credit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"vendor_id\": \"ven_ApaM9xeQtNyVk5qpaHJbNj\",\n \"number\": \"VC-001\",\n \"amount\": 100,\n \"currency\": \"USD\",\n \"memo\": \"<string>\",\n \"issued_at\": \"2026-01-15T00:00:00Z\"\n }\n]"
response = http.request(request)
puts response.read_body{
"data": [
{
"business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",
"vendor_id": "ven_ApaM9xeQtNyVk5qpaHJbNj",
"number": "VC-001",
"amount": 100,
"issued_at": "2023-11-07T05:31:56Z",
"journal_entry_id": "je_R2fAXCjqJPdpYata112zyW",
"id": "vc_WQMDNUHpBThYSNh4AprDBo",
"voided": true,
"memo": "<string>",
"voided_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
]
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}